# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define namekun = Character("Name-Kun Jooooohn")
define asan = Character("A-san")

# Character Images
image namekunimage = "images/name.png"
image asanimage = "images/asan.png"

# Background Images
image bg bar = "images/bar.jpg"
image bg space = "images/glitterspace.jpg"


# The game starts here.

label start:

    # Show a background. This uses a placeholder by default, but you can
    # add a file (named either "bg room.png" or "bg room.jpg") to the
    # images directory to show it.

    # This shows a character sprite. A placeholder is used, but you can
    # replace it by adding a file named "eileen happy.png" to the images
    # directory.

    scene bg bar
    show namekunimage

    "This is the story of Name-kun a brave bartender with fidget spinner hair and a big problem."
    "(Other than the fidget spinner.)"
    "Name-kun is tired of this world. He thinks it's time for change in a big way."
    voice "voices/namekun01.ogg"
    namekun "I reckon could blow up the world with a glitter bomb."
    voice "voices/namekun02.ogg"
    namekun "Or I could reform the government with a block chain solution."

    show namekunimage:
        xpos 300
    show asanimage:
        xpos 800

    "A-san appears at the bar. A-san doesn't care about Name-kun's problems."
    voice "voices/asan01.ogg"
    asan "I ordered a drink. Ten years ago. I say go for the glitter."

    menu:
        "What should Name-kun do?"
        "Glitter bomb!":
            "Name-kun sets off a glitter bomb. It explodes, and takes the world with it."
            scene bg space
            "Glitter floats endlessly through space, the only reminder that Name-kun's planet once existed."
            show asanimage
            voice "voices/asan02.ogg"
            asan "I still didn't get my drink."
        "Block chain!":
            "Name-kun attempts to reform the government using a block chain solution, but it turns out that block chain is a solution to VERY FEW things."
            "Now all the money is gone on the dark web."
            voice "voices/asan03.ogg"
            asan "I'd like another drink."

    # This ends the game.

    return
